All Apps and Add-ons

MSSQL connect

Shark2112
Communicator

Hey guys.

When i configured New Connection in Splunk DB Connect v2 to my MSSQL server i had error:

Database Type is required

com.zaxxer.hikari.pool.HikariPool$PoolInitializationException: Failed to initialize pool: Java Runtime Environment (JRE) version 1.8 is not supported by this driver. Use the sqljdbc4.jar class library, which provides support for JDBC 4.0.

before i installed jre-8u101-linux-x64.rpm

0 Karma
1 Solution

Shark2112
Communicator

all work fine if remove file:
/opt/splunk/etc/apps/splunk_app_db_connect/bin/lib/sqljdbc.jar

View solution in original post

0 Karma

Shark2112
Communicator

all work fine if remove file:
/opt/splunk/etc/apps/splunk_app_db_connect/bin/lib/sqljdbc.jar

0 Karma
Get Updates on the Splunk Community!

Build Scalable Security While Moving to Cloud - Guide From Clayton Homes

 Clayton Homes faced the increased challenge of strengthening their security posture as they went through ...

Mission Control | Explore the latest release of Splunk Mission Control (2.3)

We’re happy to announce the release of Mission Control 2.3 which includes several new and exciting features ...

Cloud Platform | Migrating your Splunk Cloud deployment to Python 3.7

Python 2.7, the last release of Python 2, reached End of Life back on January 1, 2020. As part of our larger ...